
TYPO3.Flow - Bug # 1257

Status: Resolved Priority: Must have
Author: Karsten Dambekalns Category: Persistence
Created: 2008-08-08 Assigned To: Karsten Dambekalns
Updated: 2010-10-20 Due date:
PHP Version:
Has patch:
Complexity:
Affected Flow version:
Subject: The dirty monitoring aspect works only for classes actually having a constructor.
Description

When cerating an entity class, the registerNewObject() advice only works if the target class actually has a constructor. This is caused
by the use of @afterreturning in conjunction with __construct.
Two possible ways out of this:
    -  use introduction if no constructor is present
    -  instead of using an advice hook into the component factory - if one uses new to create an object it won't be an AOP proxy anyway
and persistence fails in any case

Associated revisions
Revision 0f5c55ab - 2008-08-14 15:15 - Karsten Dambekalns
FLOW3:
    -  Advice on non-existing constructors is now taken into account, fixes #1257
    -  AOP only now recognizes __construct() as constructor, no more PHP4-style classname constructors
    -  some cleanup to comments and whitespace
TestPackage:
    -  "fixed" some pointcut expressions in GetSomeChinesePropertyAspect
    -  added AfterNonExistingConstructorAspect for new afterReturningAdviceOnConstructorWorksEvenIfTargetClassHasNoConstructor() test in
FLOW3

History
#1 - 2008-08-11 18:03 - Karsten Dambekalns
- Status changed from New to Accepted
- Assigned To set to Karsten Dambekalns
- Start date set to 2008-08-11

#2 - 2008-08-14 15:16 - Karsten Dambekalns
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

Applied in changeset r1139.
